%define subrel 2

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	XDG user dirs support for GNOME/GTK+
Name:		xdg-user-dirs-gtk
Version:	0.10
Release:	%mkrel 8
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) 0.5-2mdv add KDE info to desktop file
Patch0:		xdg-user-dirs-gtk-0.9-kde.patch
BuildRequires:	xdg-user-dirs
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
Requires:	xdg-user-dirs

%description
xdg-user-dirs-gtk is a companion to xdg-user-dirs that integrates it into
the Gnome desktop and Gtk+ applications.

It gets run during login and does two things:
* Tracks changes of locale and prompts the user so the directories
  can be changed.
* Creates a default gtk bookmarks file if there is none, based
  on a set of xdg user dirs.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

mkdir -p %{buildroot}%{_datadir}/autostart
install -m644 user-dirs-update-gtk.desktop %{buildroot}%{_datadir}/autostart

mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit.d
cat > %{buildroot}%{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update-gtk <<EOF
#!/usr/bin/sh
# to be sourced

case "\${1##*/}" in
   GNOME|gnome-session|startgnome_classic|KDE|startkde|Plasma*|startplasma-x11|xfce4)
   	;;
   *)
   	exec /usr/bin/xdg-user-dirs-gtk-update
   	;;
esac
EOF

chmod +x %{buildroot}%{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update-gtk 

%files -f %{name}.lang
%doc AUTHORS ChangeLog README NEWS
%config(noreplace) %{_sysconfdir}/xdg/autostart/user-dirs-update-gtk.desktop
%config(noreplace) %{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update-gtk 
%{_bindir}/xdg-user-dirs-gtk-update
%{_datadir}/autostart/user-dirs-update-gtk.desktop


